Skip to main content
POST
/
api
/
agents
/
{id}
/
disable
Disable agent
curl --request POST \
  --url https://app.outlit.ai/api/agents/{id}/disable \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "agent": {
        "id": "<string>",
        "agentKey": "<string>",
        "displayName": "<string>",
        "templateVersion": "<string>",
        "actionKeys": [
          "<string>"
        ],
        "schedule": {
          "enabled": true,
          "nextRunAt": "2023-11-07T05:31:56Z",
          "lastRunAt": "2023-11-07T05:31:56Z",
          "lastSuccessfulRunAt": "2023-11-07T05:31:56Z"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Path Parameters

id
string
required

Agent ID.

Minimum string length: 1

Response

Disable agent completed.

ok
boolean
required
commandId
string
required
Allowed value: "agent.disable"
commandVersion
integer
required
correlationId
string
required
result
object
required